### Enumeration

# JavaScriptCore OptionType

since: 2.24

#### Declaration

    enum JavaScriptCore.OptionType

#### Description [src]

Enum values for options types.

Available since: 2.24

#### Members

`JSC_OPTION_BOOLEAN`

  A #gboolean option type.

  - Value: `0`
  - Available since: 2.24
`JSC_OPTION_INT`

  A #gint option type.

  - Value: `1`
  - Available since: 2.24
`JSC_OPTION_UINT`

  A #guint option type.

  - Value: `2`
  - Available since: 2.24
`JSC_OPTION_SIZE`

  A #gsize options type.

  - Value: `3`
  - Available since: 2.24
`JSC_OPTION_DOUBLE`

  A #gdouble options type.

  - Value: `4`
  - Available since: 2.24
`JSC_OPTION_STRING`

  A string option type.

  - Value: `5`
  - Available since: 2.24
`JSC_OPTION_RANGE_STRING`

  A range string option type.

  - Value: `6`
  - Available since: 2.24